## doublecmd 0.5.8

=== libraries/src/libmime/Makefile ===
# Needs to be linked with GLib2.

CPPFLAGS = `pkg-config glib-2.0 --cflags` `getconf LFS_CFLAGS` # -g3

OS_TARGET = linux

ifndef CPU_TARGET
  CPU_TARGET = $(shell uname -i)
  ifeq ($(CPU_TARGET),unknown)
    CPU_TARGET = $(shell uname -m)
  endif
endif

ifeq ($(CPU_TARGET),x86_64)
  CPPFLAGS += -m64
else ifeq ($(CPU_TARGET),i386)
  CPPFLAGS += -m32
else ifeq ($(CPU_TARGET),armv7l)
  CPU_TARGET = arm
else
  $(error Invalid target CPU)
endif

all: clean libmime

clean:
	rm -f *.o *.a *.so.*

libmime: mime-action.o mime-cache.o mime-type.o mime-util.o
	$(AR) rc libmime.a *.o
	mkdir -p ../../$(CPU_TARGET)-$(OS_TARGET)
	cp libmime.a ../../$(CPU_TARGET)-$(OS_TARGET)
# shared library:
#	$(CC) -shared -Wl,-soname,libmime.so.1 -o libmime.so.1.0.1 libmime.a
#	ln -s libmime.so.1 libmime.so

## doublecmd 0.5.7

=== debian/changelog ===
doublecmd (0.5.7-2) unstable; urgency=low

  * Fix FTBFS without writable HOME directory (Closes: #725647)

 -- Graham Inggs <graham@nerve.org.za>  Mon, 07 Oct 2013 11:44:11 +0200

doublecmd (0.5.7-1) unstable; urgency=low

  * Initial release (Closes: #718778)

 -- Graham Inggs <graham@nerve.org.za>  Wed, 25 Sep 2013 10:48:13 +0200

=== debian/control ===
Source: doublecmd
Section: utils
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Build-Depends: debhelper (>= 9),
               fp-utils (>= 2.6.0),
               fpc (>= 2.6.0),
               lazarus-src (>= 1.0.1),
               lcl (>= 1.0.1),
               lcl-gtk2 (>= 1.0.1),
               lcl-qt4 (>= 1.0.1),
               lcl-units (>= 1.0.1),
               lcl-utils (>= 1.0.1),
               libbz2-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libqt4pas-dev (>= 2.1)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/doublecmd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doublecmd.git
Homepage: http://doublecmd.sourceforge.net/

Package: doublecmd-gtk
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (GTK2)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the GTK2 user interface.

Package: doublecmd-gtk-dbg
Architecture: any
Section: debug
Priority: extra
Provides: doublecmd-dbg
Conflicts: doublecmd-dbg
Replaces: doublecmd-dbg
Depends: doublecmd-gtk (= ${binary:Version}), ${misc:Depends}
Description: twin-panel (commander-style) file manager (GTK2 - debug)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 This package contains debugging symbols for the GTK2 user interface.

Package: doublecmd-qt
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (Qt4)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the Qt4 user interface.

Package: doublecmd-qt-dbg
Architecture: any
Section: debug
Priority: extra
Provides: doublecmd-dbg
Conflicts: doublecmd-dbg
Replaces: doublecmd-dbg
Depends: doublecmd-qt (= ${binary:Version}), ${misc:Depends}
Description: twin-panel (commander-style) file manager (Qt4 - debug)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 This package contains debugging symbols for the Qt4 user interface.

Package: doublecmd-plugins
Architecture: any
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (plugins)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains plugins.

Package: doublecmd-common
Architecture: all
Depends: ${misc:Depends}
Suggests: doublecmd-help-en | doublecmd-help,
          libunrar0,
          xterm | x-terminal-emulator
Description: twin-panel (commander-style) file manager
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains common files.

## doublecmd 0.5.8

=== debian/changelog ===
doublecmd (0.5.8-1) unstable; urgency=low

  * New upstream.
  * Link with '--as-needed' flag to avoid unnecessary linking.
  * Add Keywords entry to desktop file.
  * Update d/control: bump Standards-Version to 3.9.5, no changes.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 19 Jan 2014 12:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt4pas-dev (>= 2.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/doublecmd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

# Set temporary HOME for lazarus primary config directory
export HOME=$(CURDIR)/tmphome

%:
	dh $@

override_dh_install:
	cd language ;\
 		if [ -f doublecmd.pb.po ] ; then mv doublecmd.pb.po doublecmd.pt_BR.po; fi ;\
		if [ -f doublecmd.po ] ; then mv doublecmd.po doublecmd.en.po; fi ;\
		if [ -f doublecmd.zh.po ] ; then mv doublecmd.zh.po doublecmd.zh_TW.po; fi

	# Build GTK2 version
	./build.sh beta gtk2
	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-common
	./clean.sh

	# Build Qt4 version
	./build.sh beta qt
	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-qt-temp
	./clean.sh

	# Separate GTK2-specific files
	mkdir -p $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins/
	mkdir -p $(CURDIR)/debian/doublecmd-gtk-dbg/usr/lib/doublecmd
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-gtk-dbg/usr/lib/doublecmd/

	# Separate Qt4-specific files
	mkdir -p $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins/
	mkdir -p $(CURDIR)/debian/doublecmd-qt-dbg/usr/lib/doublecmd
	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-qt-dbg/usr/lib/doublecmd/
	rm -rf $(CURDIR)/debian/doublecmd-qt-temp/

	# Separate plugins
	mkdir -p $(CURDIR)/debian/doublecmd-plugins/usr/lib/doublecmd
	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins $(CURDIR)/debian/doublecmd-plugins/usr/lib/doublecmd

	# Clean up common files
	rm -f $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/doc/COPYING*.txt
	find $(CURDIR)/debian/doublecmd-common/usr/share/ -type f | xargs chmod a-x ;

	dh_install

override_dh_clean:
	./clean.sh

	cd language ;\
		if [ -f doublecmd.pt_BR.po ] ; then mv doublecmd.pt_BR.po doublecmd.pb.po; fi ;\
		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;\
		if [ -f doublecmd.zh_TW.po ] ; then mv doublecmd.zh_TW.po doublecmd.zh.po; fi
	# Clean up temporary HOME
	rm -rf $(CURDIR)/tmphome
	dh_clean

## doublecmd 0.5.10

=== debian/changelog ===
doublecmd (0.5.10-2) unstable; urgency=medium

  * Add d/patches/hide-lazarus-revision.patch to build without lazarus-src
  * Update d/control:
    - drop build-depends on lazarus-src
    - clean up build-depends on lcl, lcl-gtk2 and lcl-qt4

 -- Graham Inggs <graham@nerve.org.za>  Mon, 02 Jun 2014 14:04:06 +0200

doublecmd (0.5.10-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release (Closes: #746015)
  * Refresh d/patches/hide-build-info.patch.

  [ Paul Gevers ]
  * Update d/copyright with newly added file
  * Drop hack in fix_build.sh*.patch and convert it to not build the
    lazarus components, as that is fixed in Lazarus now. Renamed patch
    to dont_build_lazarus_components.patch

 -- Paul Gevers <elbrus@debian.org>  Sun, 18 May 2014 15:56:14 +0200

doublecmd (0.5.9-2) unstable; urgency=medium

  * Tweak fix_build.sh_for_lazarus-1.2.patch, fix FTBFS on i386.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 15 Apr 2014 15:00:27 +0200

doublecmd (0.5.9-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream.
  * Update d/control:
    - add Depends on desktop-file-utils
    - update Maintainer and Vcs-* fields for
      Pascal Packaging Team maintenance
  * Update d/patches: remove link-with-as-needed.patch and
    add-keywords-to-desktop-file.patch, included upstream.
  * Remove unnecessary d/doublecmd-*.dir files.
  * Do not install /usr/lib/doublecmd/doc.

  [ Paul Gevers ]
  * Add add_set-e_to_build_scripts.patch to let the build fail on failure
  * Add fix_build.sh_for_lazarus-1.2.patch and
    remove_red-haring__dont_install_.so_files.patch to prevent FTBFS
    (Closes: 741792)

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Apr 2014 21:51:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: doublecmd
 Section: utils
 Priority: optional
-Maintainer: Graham Inggs <graham@nerve.org.za>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Uploaders: Graham Inggs <graham@nerve.org.za>
 Build-Depends: debhelper (>= 9),
                fp-utils (>= 2.6.0),
                fpc (>= 2.6.0),
-               lazarus-src (>= 1.0.1),
-               lcl (>= 1.0.1),
-               lcl-gtk2 (>= 1.0.1),
-               lcl-qt4 (>= 1.0.1),
-               lcl-units (>= 1.0.1),
-               lcl-utils (>= 1.0.1),
+               lcl (>= 1.2),
+               lcl-gtk2,
+               lcl-qt4,
                libbz2-dev,
                libdbus-1-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt4pas-dev (>= 2.1)
 Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/doublecmd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doublecmd.git
+Vcs-Git: git://anonscm.debian.org/pkg-pascal/doublecmd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/
 
 Package: doublecmd-gtk
@@ -104,7 +102,7 @@
 
 Package: doublecmd-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: desktop-file-utils, ${misc:Depends}
 Suggests: doublecmd-help-en | doublecmd-help,
           libunrar0,
           xterm | x-terminal-emulator

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins $(CURDIR)/debian/doublecmd-plugins/usr/lib/doublecmd
 
 	# Clean up common files
-	rm -f $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/doc/COPYING*.txt
+	rm -rf $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/doc
+	rm -f $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doc
 	find $(CURDIR)/debian/doublecmd-common/usr/share/ -type f | xargs chmod a-x ;
 
 	dh_install

## doublecmd 0.5.11

=== debian/changelog ===
doublecmd (0.5.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream, refresh remaining patches.
  * Update d/rules:
    - do not delete symlink for doublecmd-help
    - remove new convenience copy of qt4.pas before building
  * Update d/copyright:
    - update copyright years
    - add copyright information for newly added qt4.pas
    - use dh_make copyright templates
  * Update d/control: add Suggests on mplayer2.
  * Update Lintian overrides.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 07 Oct 2014 15:58:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt4pas-dev (>= 2.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-pascal/doublecmd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/
@@ -105,6 +105,7 @@
 Depends: desktop-file-utils, ${misc:Depends}
 Suggests: doublecmd-help-en | doublecmd-help,
           libunrar0,
+          mplayer2,
           xterm | x-terminal-emulator
 Description: twin-panel (commander-style) file manager
  Double Commander is a cross platform open source file manager

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
  		if [ -f doublecmd.pb.po ] ; then mv doublecmd.pb.po doublecmd.pt_BR.po; fi ;\
 		if [ -f doublecmd.po ] ; then mv doublecmd.po doublecmd.en.po; fi ;\
 		if [ -f doublecmd.zh.po ] ; then mv doublecmd.zh.po doublecmd.zh_TW.po; fi
+
+	# Remove convenience copy of Free Pascal Qt4 binding, use libqt4pas-dev instead
+	rm -f plugins/wlx/WlxMplayer/src/qt4.pas
 
 	# Build GTK2 version
 	./build.sh beta gtk2
@@ -43,7 +46,6 @@
 
 	# Clean up common files
 	rm -rf $(CURDIR)/debian/doublecmd-common/usr/share/doublecmd/doc
-	rm -f $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doc
 	find $(CURDIR)/debian/doublecmd-common/usr/share/ -type f | xargs chmod a-x ;
 
 	dh_install

## doublecmd 0.6.1

=== debian/changelog ===
doublecmd (0.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches included upstream:
    - d/patches/clean-plugins-static-libs.patch
    - d/patches/disable-pic-on-arm.patch
    - d/patches/fpc-arm-workaround.patch
  * Update d/control for renamed and new files src/udiff*.pas.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 31 Mar 2015 12:07:48 +0200

doublecmd (0.6.0-3) experimental; urgency=medium

  * Revert patch to not generate debug line info on
    big-endian architectures.
  * Work around ARM code generation bug in fpc < 3.0.1.

 -- Graham Inggs <graham@nerve.org.za>  Fri, 27 Feb 2015 14:26:01 +0200

doublecmd (0.6.0-2) experimental; urgency=low

  * Disable PIC on ARM architectures.
  * Do not generate debug line info on big-endian architectures.
  * Update d/control: add Suggests on rabbitvcs-core.
  * Update d/copyright: new directory libraries/src/libbz2.
  * Update Lintian overrides.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 18 Feb 2015 11:09:44 +0200

doublecmd (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop d/patches/hide-lazarus-revision.patch included upstream,
    refresh remaining patches.
  * New patch d/patches/clean-plugins-static-libs.patch
    to clean static libs from plugins directories.
  * Update d/rules:
    - do not rename files doublecmd.pb.po and
      doublecmd.zh.po that no longer exist
    - strip plugins because dh_strip cannot handle non-standard extensions
  * Update d/copyright:
    - update copyright years
    - add copyright information for new file
      plugins/wcx/zip/fparchive/abxz.pas
    - remove copyright information for removed directory
      libraries/src/libmime/

 -- Graham Inggs <graham@nerve.org.za>  Mon, 16 Feb 2015 14:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -106,6 +106,7 @@
 Suggests: doublecmd-help-en | doublecmd-help,
           libunrar0,
           mplayer2,
+          rabbitvcs-core,
           xterm | x-terminal-emulator
 Description: twin-panel (commander-style) file manager
  Double Commander is a cross platform open source file manager

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Set temporary HOME for lazarus primary config directory
 export HOME=$(CURDIR)/tmphome
@@ -8,9 +10,7 @@
 
 override_dh_install:
 	cd language ;\
- 		if [ -f doublecmd.pb.po ] ; then mv doublecmd.pb.po doublecmd.pt_BR.po; fi ;\
-		if [ -f doublecmd.po ] ; then mv doublecmd.po doublecmd.en.po; fi ;\
-		if [ -f doublecmd.zh.po ] ; then mv doublecmd.zh.po doublecmd.zh_TW.po; fi
+		if [ -f doublecmd.po ] ; then mv doublecmd.po doublecmd.en.po; fi ;
 
 	# Remove convenience copy of Free Pascal Qt4 binding, use libqt4pas-dev instead
 	rm -f plugins/wlx/WlxMplayer/src/qt4.pas
@@ -50,13 +50,17 @@
 
 	dh_install
 
+override_dh_strip:
+	# Strip plugins because dh_strip cannot handle non-standard extensions (bug #35733)
+	find $(CURDIR)/debian/doublecmd-*/usr/lib/doublecmd/plugins/ -name '*.w?x' -o -name '*.dsx' | \
+		xargs strip --remove-section=.comment --strip-unneeded ;
+	dh_strip
+
 override_dh_clean:
 	./clean.sh
 
 	cd language ;\
-		if [ -f doublecmd.pt_BR.po ] ; then mv doublecmd.pt_BR.po doublecmd.pb.po; fi ;\
-		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;\
-		if [ -f doublecmd.zh_TW.po ] ; then mv doublecmd.zh_TW.po doublecmd.zh.po; fi
+		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;
 	# Clean up temporary HOME
 	rm -rf $(CURDIR)/tmphome
 	dh_clean

## doublecmd 0.6.6

=== debian/changelog ===
doublecmd (0.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Let doublecmd-common suggest libffmpegthumbnailer4 (per upstream).
  * Do not display splash screen at startup.

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Oct 2015 16:27:23 +0200

doublecmd (0.6.5-2) unstable; urgency=medium

  * Let doublecmd-common recommend doublecmd-gtk | doublecmd-qt
    for users who install the -common package by mistake.

 -- Graham Inggs <ginggs@debian.org>  Wed, 07 Oct 2015 16:58:38 +0200

doublecmd (0.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 Sep 2015 11:47:54 +0200

doublecmd (0.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Convert upstream HTML changelog to text and ship it,
    add Build-Depends on html2text.

 -- Graham Inggs <graham@nerve.org.za>  Mon, 20 Jul 2015 11:51:00 +0200

doublecmd (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Refresh d/patches/hide-build-info.patch.
  * Add comments to Lintian overrides.
  * Update d/copyright with some missed files,
    fix some spelling and capitalization errors.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 19 May 2015 16:56:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <graham@nerve.org.za>
+Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 9),
                fp-utils (>= 2.6.0),
                fpc (>= 2.6.0),
+               html2text,
                lcl (>= 1.2),
                lcl-gtk2,
                lcl-qt4,
@@ -102,8 +103,10 @@
 
 Package: doublecmd-common
 Architecture: all
+Recommends: doublecmd-gtk | doublecmd-qt
 Depends: desktop-file-utils, ${misc:Depends}
 Suggests: doublecmd-help-en | doublecmd-help,
+          libffmpegthumbnailer4,
           libunrar0,
           mplayer2,
           rabbitvcs-core,

=== debian/rules ===
--- 
+++ 
@@ -63,4 +63,18 @@
 		if [ -f doublecmd.en.po ] ; then mv doublecmd.en.po doublecmd.po; fi ;
 	# Clean up temporary HOME
 	rm -rf $(CURDIR)/tmphome
+	# Remove generated changelog
+	rm -f $(CURDIR)/changelog.txt
 	dh_clean
+
+override_dh_installchangelogs:
+	html2text -o $(CURDIR)/changelog.txt $(CURDIR)/doc/changelog.htm
+	# Remove header up until first changelog entry
+	sed -i '0,/Double_Commander/{//!d}' $(CURDIR)/changelog.txt
+	# Remove [ View_Issues ] links
+	sed -i 's/ \[ View_Issues \]//' $(CURDIR)/changelog.txt
+	# Remove lines with number of issues fixed ([5 issues], etc.)
+	sed -i '/\[[0-9]* issue[s]*\]/d' $(CURDIR)/changelog.txt
+	# Remove [Get_Double_Commander...] link and footer
+	sed -i '/Get_Double_Commander/,$$d' $(CURDIR)/changelog.txt
+	dh_installchangelogs $(CURDIR)/changelog.txt

## doublecmd 0.7.0

=== debian/changelog ===
doublecmd (0.7.0-0+svn6700mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * Upgraded libqt4pas-dev from 2.1 to 2.5. 

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 20 Mar 2016 17:57:40 -0700

doublecmd (0.7.0-0+svn6700~xenial) xenial; urgency=medium

  * Non-maintainer upload (revision 6700)

 -- Alexander Koblov <Alexx2000@mail.ru>  Sun, 13 Mar 2016 15:07:06 +0300

doublecmd (0.7.0-0+svn6700~wily) wily; urgency=medium

  * Non-maintainer upload (revision 6700)

 -- Alexander Koblov <Alexx2000@mail.ru>  Sun, 13 Mar 2016 15:06:52 +0300

## doublecmd 0.7.1

=== libraries/src/libbz2/Makefile ===
# This Makefile builds a shared version of the library libbz2.dll

CC=gcc
LDFLAGS=-Wl,--enable-stdcall-fixup -Wl,--strip-all
CFLAGS=-Wall -Winline -O2 -D_FILE_OFFSET_BITS=64 -DBZ_NO_STDIO

# Determine output directory
ARCH=$(shell $(LD) --print-output-format)
ifeq ($(ARCH), pei-i386)
  OUTPUT=..\..\i386-win32
else ifeq ($(ARCH), pei-x86-64)
  OUTPUT=..\..\x86_64-win64
endif

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o      \
      error.o

all: $(OBJS)
	$(CC) -shared -static $(LDFLAGS) -o $(OUTPUT)\bz2.dll $(OBJS) libbz2.def

clean: 
	$(RM) -f $(OBJS) $(OUTPUT)\bz2.dll

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt4pas-dev (>= 2.1)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-pascal/doublecmd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/doublecmd.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/doublecmd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/
 
 Package: doublecmd-gtk
@@ -28,7 +28,10 @@
          ${shlibs:Depends}
 Provides: doublecmd
 Conflicts: doublecmd
-Replaces: doublecmd
+Replaces: doublecmd,
+          doublecmd-gtk-dbg (<< 0.7.1-2~),
+          doublecmd-qt-dbg (<< 0.7.1-2~)
+Breaks: doublecmd-gtk-dbg (<< 0.7.1-2~), doublecmd-qt-dbg (<< 0.7.1-2~)
 Description: twin-panel (commander-style) file manager (GTK2)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander
@@ -39,21 +42,6 @@
  .
  This package contains the GTK2 user interface.
 
-Package: doublecmd-gtk-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Provides: doublecmd-dbg
-Conflicts: doublecmd-dbg
-Replaces: doublecmd-dbg
-Depends: doublecmd-gtk (= ${binary:Version}), ${misc:Depends}
-Description: twin-panel (commander-style) file manager (GTK2 - debug)
- Double Commander is a cross platform open source file manager
- with two panels side by side. It is inspired by Total Commander
- and features some new ideas.
- .
- This package contains debugging symbols for the GTK2 user interface.
-
 Package: doublecmd-qt
 Architecture: any
 Depends: doublecmd-common (= ${source:Version}),
@@ -62,7 +50,10 @@
          ${shlibs:Depends}
 Provides: doublecmd
 Conflicts: doublecmd
-Replaces: doublecmd
+Replaces: doublecmd,
+          doublecmd-gtk-dbg (<< 0.7.1-2~),
+          doublecmd-qt-dbg (<< 0.7.1-2~)
+Breaks: doublecmd-gtk-dbg (<< 0.7.1-2~), doublecmd-qt-dbg (<< 0.7.1-2~)
 Description: twin-panel (commander-style) file manager (Qt4)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander
@@ -72,21 +63,6 @@
  libunrar0 package from non-free.
  .
  This package contains the Qt4 user interface.
-
-Package: doublecmd-qt-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Provides: doublecmd-dbg
-Conflicts: doublecmd-dbg
-Replaces: doublecmd-dbg
-Depends: doublecmd-qt (= ${binary:Version}), ${misc:Depends}
-Description: twin-panel (commander-style) file manager (Qt4 - debug)
- Double Commander is a cross platform open source file manager
- with two panels side by side. It is inspired by Total Commander
- and features some new ideas.
- .
- This package contains debugging symbols for the Qt4 user interface.
 
 Package: doublecmd-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,15 +29,13 @@
 	mkdir -p $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins
 	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/
 	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins/
-	mkdir -p $(CURDIR)/debian/doublecmd-gtk-dbg/usr/lib/doublecmd
-	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-gtk-dbg/usr/lib/doublecmd/
+	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/
 
 	# Separate Qt4-specific files
 	mkdir -p $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins
 	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
 	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins/
-	mkdir -p $(CURDIR)/debian/doublecmd-qt-dbg/usr/lib/doublecmd
-	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-qt-dbg/usr/lib/doublecmd/
+	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
 	rm -rf $(CURDIR)/debian/doublecmd-qt-temp/
 
 	# Separate plugins

## doublecmd 0.7.2

=== debian/changelog ===
doublecmd (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/clean, included upstream.
  * Update fix-spelling-errors.patch, partially included upstream.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Mon, 13 Jun 2016 13:08:12 +0200

doublecmd (0.7.1-2) unstable; urgency=medium

  * Remove doublecmd-*-dbg packages, they contained no debug symbols.
  * Move doublecmd.zdli files from doublecmd-*-dbg packages.
  * Add breaks/replaces against old doublecmd-*-dbg packages.
  * Add plugins/wcx/zip/lib/abresstring.rsj to debian/clean.
  * Update Lintian overrides.
  * Fix various spelling and grammar errors reported by Lintian.

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Apr 2016 13:04:12 +0200

doublecmd (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-fix-arm64-ftbfs.patch, included upstream.

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 Mar 2016 14:56:00 +0200

doublecmd (0.7.0-1) unstable; urgency=medium

  * New upstream release:
    - add inode/directory MimeType to doublecmd.desktop (Closes: #807570)
    - fix scrolling through files with long names is slow (Closes: #807257)
    - fix FTBFS with FPC 3.0 and Lazarus 1.6 (Closes: #818123)
  * Fix FTBFS on arm64, thanks Edmund Grimley Evans
    and Alexander Koblov (Closes: #803984)
  * Remove doublecmd-common.menu, as per #741573.
  * Use secure URIs for VCS fields.
  * Update d/copyright.
  * Update Lintian overrides for doublecmd-plugins.
  * Bump Standards-Version to 3.9.7, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 15 Mar 2016 13:48:55 +0200

## doublecmd 0.7.5

=== debian/changelog ===
doublecmd (0.7.5-1) unstable; urgency=medium

  * New upstream release.

 -- Graham Inggs <ginggs@debian.org>  Fri, 23 Sep 2016 14:00:38 +0200

doublecmd (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Graham Inggs <ginggs@debian.org>  Tue, 06 Sep 2016 12:07:12 +0200

doublecmd (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-spelling-errors.patch, included upstream.

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Jul 2016 11:19:17 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt4pas-dev (>= 2.1)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/doublecmd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/

## doublecmd 0.7.7

=== debian/changelog ===
doublecmd (0.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update debian/copyright.
  * Update Lintian overrides for doublecmd-plugins.

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Dec 2016 09:13:27 +0200

doublecmd (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Replace Suggests: mplayer2 with Suggests: mplayer. (Closes: #841190)

 -- Graham Inggs <ginggs@debian.org>  Sun, 30 Oct 2016 10:23:07 +0200

=== debian/control ===
--- 
+++ 
@@ -84,7 +84,7 @@
 Suggests: doublecmd-help-en | doublecmd-help,
           libffmpegthumbnailer4,
           libunrar0,
-          mplayer2,
+          mplayer,
           rabbitvcs-core,
           xterm | x-terminal-emulator
 Description: twin-panel (commander-style) file manager

## doublecmd 0.7.8

=== debian/changelog ===
doublecmd (0.7.8-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Switch to debhelper 10.

 -- Graham Inggs <ginggs@debian.org>  Sat, 11 Mar 2017 11:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                fp-utils (>= 2.6.0),
                fpc (>= 2.6.0),
                html2text,

## doublecmd 0.8.0~svn7787

=== debian/changelog ===
doublecmd (0.8.0~svn7787-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix various spelling and grammar errors reported by Lintian
  * Update Lintian overrides
  * Update debian/copyright
  * Bump Standards-Version to 4.1.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Sep 2017 14:43:04 +0000

doublecmd (0.8.0~svn7711-1) unstable; urgency=medium

  * New upstream snapshot
    - fix build with Lazarus 1.7 (Closes: #868288)
    - add support for Qt5
  * Refresh patches
  * Switch from Qt4 to Qt5
  * Stop generating text changelog from upstream HTML changelog
  * Bump Standards-Version to 4.0.0, no further changes
  * Work around problem extracting debug info on the buildds

 -- Graham Inggs <ginggs@debian.org>  Wed, 26 Jul 2017 17:54:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Build-Depends: debhelper (>= 10),
                fp-utils (>= 2.6.0),
                fpc (>= 2.6.0),
-               html2text,
                lcl (>= 1.2),
                lcl-gtk2,
-               lcl-qt4,
+               lcl-qt5,
                libbz2-dev,
                libdbus-1-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
-               libqt4pas-dev (>= 2.1)
-Standards-Version: 3.9.8
+               libqt5pas-dev
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/doublecmd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/doublecmd.git
 Homepage: http://doublecmd.sourceforge.net/
@@ -54,7 +53,7 @@
           doublecmd-gtk-dbg (<< 0.7.1-2~),
           doublecmd-qt-dbg (<< 0.7.1-2~)
 Breaks: doublecmd-gtk-dbg (<< 0.7.1-2~), doublecmd-qt-dbg (<< 0.7.1-2~)
-Description: twin-panel (commander-style) file manager (Qt4)
+Description: twin-panel (commander-style) file manager (Qt5)
  Double Commander is a cross platform open source file manager
  with two panels side by side. It is inspired by Total Commander
  and features some new ideas.
@@ -62,7 +61,7 @@
  Support for RAR archives can be enabled by installing the
  libunrar0 package from non-free.
  .
- This package contains the Qt4 user interface.
+ This package contains the Qt5 user interface.
 
 Package: doublecmd-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-common
 	./clean.sh
 
-	# Build Qt4 version
-	./build.sh beta qt
+	# Build Qt5 version
+	./build.sh beta qt5
 	./install/linux/install.sh --install-prefix=$(CURDIR)/debian/doublecmd-qt-temp
 	./clean.sh
 
@@ -31,7 +31,7 @@
 	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/plugins/
 	mv $(CURDIR)/debian/doublecmd-common/usr/lib/doublecmd/doublecmd.zdli $(CURDIR)/debian/doublecmd-gtk/usr/lib/doublecmd/
 
-	# Separate Qt4-specific files
+	# Separate Qt5-specific files
 	mkdir -p $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins
 	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/doublecmd $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/
 	mv $(CURDIR)/debian/doublecmd-qt-temp/usr/lib/doublecmd/plugins/wlx $(CURDIR)/debian/doublecmd-qt/usr/lib/doublecmd/plugins/
@@ -64,15 +64,3 @@
 	# Remove generated changelog
 	rm -f $(CURDIR)/changelog.txt
 	dh_clean
-
-override_dh_installchangelogs:
-	html2text -o $(CURDIR)/changelog.txt $(CURDIR)/doc/changelog.htm
-	# Remove header up until first changelog entry
-	sed -i '0,/Double_Commander/{//!d}' $(CURDIR)/changelog.txt
-	# Remove [ View_Issues ] links
-	sed -i 's/ \[ View_Issues \]//' $(CURDIR)/changelog.txt
-	# Remove lines with number of issues fixed ([5 issues], etc.)
-	sed -i '/\[[0-9]* issue[s]*\]/d' $(CURDIR)/changelog.txt
-	# Remove [Get_Double_Commander...] link and footer
-	sed -i '/Get_Double_Commander/,$$d' $(CURDIR)/changelog.txt
-	dh_installchangelogs $(CURDIR)/changelog.txt

## doublecmd 0.8.0

=== debian/changelog ===
doublecmd (0.8.0-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * Emptied doublecmd.app/Contents/ folder

 -- Mike Purtell <mandbx@sbcglobal.net>  Sat, 02 Apr 2016 21:22:13 -0700

doublecmd (0.8.0-1-a~wily~NoobsLab.com) wily; urgency=medium

  * For Ubuntu/Linux Mint

 -- Umair Riaz <noobslab.com@gmail.com>  Wed, 16 Mar 2016 17:20:43 +0100

=== debian/control ===
Source: doublecmd
Section: utils
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Graham Inggs <graham@nerve.org.za>
Build-Depends: debhelper (>= 9),
               fp-utils (>= 2.6.2),
               fpc (>= 2.6.2),
               lcl (>= 1.4),
               lcl-gtk2,
               lcl-qt4,
               libbz2-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libqt4pas-dev (>= 2.5)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-pascal/doublecmd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/doublecmd.git
Homepage: http://doublecmd.sourceforge.net/

Package: doublecmd-gtk
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         doublecmd-gtk-dbg (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (GTK2)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the GTK2 user interface.

Package: doublecmd-gtk-dbg
Architecture: any
Section: debug
Priority: extra
Provides: doublecmd-dbg
Conflicts: doublecmd-dbg
Replaces: doublecmd-dbg
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (GTK2 - debug)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 This package contains debugging symbols for the GTK2 user interface.

Package: doublecmd-qt
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         doublecmd-qt-dbg (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd
Description: twin-panel (commander-style) file manager (Qt4)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the Qt4 user interface.

Package: doublecmd-qt-dbg
Architecture: any
Section: debug
Priority: extra
Provides: doublecmd-dbg
Conflicts: doublecmd-dbg
Replaces: doublecmd-dbg
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (Qt4 - debug)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 This package contains debugging symbols for the Qt4 user interface.

Package: doublecmd-plugins
Architecture: any
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (plugins)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains plugins.

Package: doublecmd-common
Architecture: all
Recommends: doublecmd-gtk | doublecmd-qt
Depends: desktop-file-utils, ${misc:Depends}
Suggests: doublecmd-help-en | doublecmd-help,
          libunrar0,
          mplayer2,
          rabbitvcs-core,
          libffmpegthumbnailer4,
          xterm | x-terminal-emulator
Description: twin-panel (commander-style) file manager
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains common files.

## doublecmd 0.8.2

=== debian/changelog ===
doublecmd (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URIs for move to salsa.debian.org
  * Fix build with Lazarus 1.8.2
  * Update Lintian overrides

 -- Graham Inggs <ginggs@debian.org>  Wed, 07 Mar 2018 14:04:25 +0000

doublecmd (0.8.1-2) unstable; urgency=medium

  * Minimize build dependencies instead of depending on all of fpc
  * Update debian/copyright
  * Turn debhelper up to 11
  * Let debhelper strip the binaries now that #35733 is fixed
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jan 2018 16:12:36 +0000

doublecmd (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-use-of-i386-assembly.patch included upstream

 -- Graham Inggs <ginggs@debian.org>  Mon, 25 Dec 2017 09:48:33 +0000

doublecmd (0.8.0-2) unstable; urgency=medium

  * Fix FTBFS on non-i386 32-bit architectures

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Dec 2017 20:13:06 +0000

doublecmd (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches no longer needed
  * Update debian/copyright for moved files
  * Mark doublecmd-common Multi-Arch: foreign
  * Bump Standards-Version to 4.1.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Dec 2017 12:40:20 +0000

=== debian/control ===
Source: doublecmd
Section: utils
Priority: optional
Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 11),
               fp-units-misc,
               fp-units-net,
               lcl-gtk2,
               lcl-qt5,
               lcl-units,
               lcl-utils,
               libbz2-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libqt5pas-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
Homepage: http://doublecmd.sourceforge.net/

Package: doublecmd-gtk
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd,
          doublecmd-gtk-dbg (<< 0.7.1-2~),
          doublecmd-qt-dbg (<< 0.7.1-2~)
Breaks: doublecmd-gtk-dbg (<< 0.7.1-2~), doublecmd-qt-dbg (<< 0.7.1-2~)
Description: twin-panel (commander-style) file manager (GTK2)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the GTK2 user interface.

Package: doublecmd-qt
Architecture: any
Depends: doublecmd-common (= ${source:Version}),
         doublecmd-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: doublecmd
Conflicts: doublecmd
Replaces: doublecmd,
          doublecmd-gtk-dbg (<< 0.7.1-2~),
          doublecmd-qt-dbg (<< 0.7.1-2~)
Breaks: doublecmd-gtk-dbg (<< 0.7.1-2~), doublecmd-qt-dbg (<< 0.7.1-2~)
Description: twin-panel (commander-style) file manager (Qt5)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains the Qt5 user interface.

Package: doublecmd-plugins
Architecture: any
Depends: ${misc:Depends}
Description: twin-panel (commander-style) file manager (plugins)
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains plugins.

Package: doublecmd-common
Architecture: all
Multi-Arch: foreign
Recommends: doublecmd-gtk | doublecmd-qt
Depends: desktop-file-utils, ${misc:Depends}
Suggests: doublecmd-help-en | doublecmd-help,
          libffmpegthumbnailer4,
          libunrar0,
          mplayer,
          rabbitvcs-core,
          xterm | x-terminal-emulator
Description: twin-panel (commander-style) file manager
 Double Commander is a cross platform open source file manager
 with two panels side by side. It is inspired by Total Commander
 and features some new ideas.
 .
 Support for RAR archives can be enabled by installing the
 libunrar0 package from non-free.
 .
 This package contains common files.

=== debian/rules ===
--- 
+++ 
@@ -48,12 +48,6 @@
 
 	dh_install
 
-override_dh_strip:
-	# Strip plugins because dh_strip cannot handle non-standard extensions (bug #35733)
-	find $(CURDIR)/debian/doublecmd-*/usr/lib/doublecmd/plugins/ -name '*.w?x' -o -name '*.dsx' | \
-		xargs strip --remove-section=.comment --strip-unneeded ;
-	dh_strip
-
 override_dh_clean:
 	./clean.sh

## doublecmd 0.8.3

=== debian/changelog ===
doublecmd (0.8.3-0mx17) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 23 Jun 2018 12:02:43 -0400

doublecmd (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Drop lazarus1.8.2.patch included upstream
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Jun 2018 15:29:46 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
 Homepage: http://doublecmd.sourceforge.net/

## doublecmd 0.8.4

=== debian/changelog ===
doublecmd (0.8.4-2) unstable; urgency=medium

  * Skip Qt5 workaround on ARM where it causes link failure

 -- Graham Inggs <ginggs@debian.org>  Sat, 29 Sep 2018 11:00:04 +0000

doublecmd (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh disable-splash.patch
  * Bump Standards-Version to 4.2.1, no changes
  * Update upstream homepage

 -- Graham Inggs <ginggs@debian.org>  Tue, 25 Sep 2018 18:09:37 +0000

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
-Homepage: http://doublecmd.sourceforge.net/
+Homepage: https://doublecmd.sourceforge.io
 
 Package: doublecmd-gtk
 Architecture: any

## doublecmd 0.9.0

=== debian/changelog ===
doublecmd (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Drop skip-qt5workaround-on-arm.patch, refresh remaining
  * Install icons for AppStream
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Feb 2019 14:12:07 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libqt5pas-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/pascal-team/doublecmd.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/doublecmd
 Homepage: https://doublecmd.sourceforge.io
